Subject: FVWM: continued line patch

From: [email-masked]
Date: Thu, 29 Feb 1996 05:07:32 +0100 (MET)

While hard at work with rewriting FvwmButtons, I finally got so annoyed with
the long lines it needed in .fvwmrc (just you wait and see!), I took the 
liberty to make a sorely needed patch for fvwm itself. (Wowee!)

This patch allows any lines in .fvwmrc to be continued by ending it with a
backslash. (Note that even comments will be continued like this! Complaints?)

Example 1: (somewhat sick)

Pi\
xmapPa\
th /usr/\
include/X11/pixmaps

Example 2: (from the current under-development FvwmButtons)

*FvwmButtons(font "fixed",2x1,frame 3,padding 10 0)\
	- - Swallow "xping" \
	Exec xping -title ebone.net -bg gray45 -fg black -geometry -1500-1500\
	-h stockholm-ebs.ebone.net -n &

Simply apply the patch below in the fvwm-2.0.41/fvwm directory.

Almost forgot: There's a more uptodate FvwmButtons on my homepage, not to be
used if you don't like bughunts. It's shaky, to say the least. But the features
in example 2 above works, and most of the rewriting needed to do the _real_
upgrades is done. However, I expect to get real nervous about my diploma to
be delivered in one month soon, so I don't know how active I'll be onwards.
Anyway, the address is http://www.fm.unit.no/~jatotal/fvwm

Vyrdsamt,
-Jarl 

-------8<---8<---8<---8<---8<---8<---8<---8<---8<---8<---8<---8<---8<---------
*** read.c.orig Thu Jul 13 15:14:06 1995
--- read.c      Thu Feb 29 04:46:40 1996
***************
*** 108,113 ****
--- 108,120 ----
    tline = fgets(line,(sizeof line)-1,fd);
    while(tline != (char *)0)
      {
+       int l;
+       while(tline && (l=strlen(line))<sizeof(line) &&
+           line[l-1]=='\n' && line[l-2]=='\\')
+         {
+           tline = fgets(line+l-2,sizeof(line)-l,fd);
+         }
+       tline=line;
        while(isspace(*tline))tline++;
        if((strlen(&tline[0])>1)&&(tline[0]!='#')&&(tline[0]!='*'))
        ExecuteFunction(tline,tmp_win,eventp,context,*Module);

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].